diff -urN boost_1_31_0.orig/Jamfile boost_1_31_0/Jamfile
--- boost_1_31_0.orig/Jamfile	Thu Jan  8 22:28:22 2004
+++ boost_1_31_0/Jamfile	Sun Apr 10 23:13:39 2005
@@ -79,6 +79,7 @@
 # object code libraries
 local lib-locate = [ MATCH "^--libdir=(.*)" : $(ARGV) ] ;
 lib-locate ?= $(exec-locate)/lib ;
+gLIB_INSTALL_DIR ?= $(lib-locate) ;
 
 # where to build
 local all-locate = [ MATCH "^--builddir=(.*)" : $(ARGV) ] ;
diff -urN boost_1_31_0.orig/libs/python/build/Jamfile boost_1_31_0/libs/python/build/Jamfile
--- boost_1_31_0.orig/libs/python/build/Jamfile	Tue Nov  4 13:30:37 2003
+++ boost_1_31_0/libs/python/build/Jamfile	Sun Apr 10 23:13:39 2005
@@ -61,6 +61,7 @@
       $(bpl-linkflags)
         <msvc-stlport><release>$(msvc-stlport-workarounds)
         <darwin><*><linkflags>-bind_at_load
+	<gcc><*><linkflags>"-undefined dynamic_lookup -flat_namespace"
       ;
 
   template extension
diff -urN boost_1_31_0.orig/libs/test/build/Jamfile boost_1_31_0/libs/test/build/Jamfile
--- boost_1_31_0.orig/libs/test/build/Jamfile	Sun Nov 30 19:42:37 2003
+++ boost_1_31_0/libs/test/build/Jamfile	Sun Apr 10 23:13:39 2005
@@ -57,13 +57,16 @@
 if ! $(NT)
 {
 dll boost_prg_exec_monitor    : <template>boost_test_lib
-                                ../src/$(PRG_EXEC_MON_SOURCES).cpp ;
+                                ../src/$(PRG_EXEC_MON_SOURCES).cpp 
+			: <gcc><*><linkflags>"-undefined dynamic_lookup" ;
 
 dll boost_test_exec_monitor   : <template>boost_test_lib
-                                ../src/$(TEST_EXEC_MON_SOURCES).cpp ; 
+                                ../src/$(TEST_EXEC_MON_SOURCES).cpp 
+			: <gcc><*><linkflags>"-undefined dynamic_lookup" ; 
 
 dll boost_unit_test_framework : <template>boost_test_lib
-                                ../src/$(UTF_SOURCES).cpp ;
+                                ../src/$(UTF_SOURCES).cpp 
+			: <gcc><*><linkflags>"-undefined dynamic_lookup" ;
 }
 
 install test lib
diff -urN boost_1_31_0.orig/tools/build/v1/allyourbase.jam boost_1_31_0/tools/build/v1/allyourbase.jam
--- boost_1_31_0.orig/tools/build/v1/allyourbase.jam	Sun Dec 14 22:46:09 2003
+++ boost_1_31_0/tools/build/v1/allyourbase.jam	Sun Apr 10 23:13:39 2005
@@ -2105,7 +2105,7 @@
 
 actions HardLink
 {
-    $(RM) $(<) && $(LN) $(>) $(<)
+    $(RM) $(<) && $(LN) -s $(>:D=) $(<)
 }
 
 actions Install
diff -urN boost_1_31_0.orig/tools/build/v1/boost-base.jam boost_1_31_0/tools/build/v1/boost-base.jam
--- boost_1_31_0.orig/tools/build/v1/boost-base.jam	Wed Jan 28 17:52:25 2004
+++ boost_1_31_0/tools/build/v1/boost-base.jam	Sun Apr 10 23:13:39 2005
@@ -2556,7 +2556,7 @@
     if <threading>multi in $(properties) { thread-tag = mt ; }
     
     local runtime-tag = ;
-    if <runtime-link>static in $(properties) { runtime-tag += s ; }
+    #if <runtime-link>static in $(properties) { runtime-tag += s ; }
     if <runtime-build>debug in $(properties) { runtime-tag += g ; }
     if [ MATCH .*(debug-python).* : $(variant) ] { runtime-tag += y ; }
     else { if [ MATCH .*(debug).* : $(variant) ] { runtime-tag += d ; } }
@@ -2621,8 +2621,8 @@
     local version-tag = [ MATCH "^([^.]+).([^.]+)" : $(version-number[1]) ] ;
     version-tag = $(version-tag:J="_") ;
     
-    tags += $(toolset-tag:J=) ;
-    tags += $(thread-tag:J=) ;
+    #tags += $(toolset-tag:J=) ;
+    #tags += $(thread-tag:J=) ;
     tags += $(runtime-tag:J=) ;
     tags += $(version-tag) ;
     
diff -urN boost_1_31_0.orig/tools/build/v1/gcc-tools.jam boost_1_31_0/tools/build/v1/gcc-tools.jam
--- boost_1_31_0.orig/tools/build/v1/gcc-tools.jam	Wed Jan 21 23:11:52 2004
+++ boost_1_31_0/tools/build/v1/gcc-tools.jam	Sun Apr 10 23:14:18 2005
@@ -118,9 +118,6 @@
         {
         # MacOS X, doesn't need any threading options set
         # -lpthread is linked to by default.
-        # There is no gcc/g++, we need to use cc/c++ instead:
-        .GCC ?= cc ;
-        .GXX ?= c++ ;
         flags gcc CFLAGS : -Wno-long-double ;
         }
     case *BSD :
@@ -330,7 +327,7 @@
 }
 else
 {
-    flags gcc LINKFLAGS <target-type>$(SHARED_TYPES) : -shared ;
+    flags gcc LINKFLAGS <target-type>$(SHARED_TYPES) : -dynamiclib ;
 }
 
 flags gcc LIBPATH <library-path> ;
@@ -430,7 +427,7 @@
 {
     $(SHELL_SET)$(gSHELL_LIBPATH)=$(LINK_LIBPATH)$(gAPPEND_LD_LIBRARY_PATH)
     $(SHELL_EXPORT)$(gSHELL_LIBPATH)
-    $(.GXX[1]:R=$(GCC_BIN_DIR)) $(.GXX[2-]) $(IMPLIB_COMMAND)$(<[2]) $(LINKFLAGS) -o "$(<[1])$(OUTTAG)" -L"$(LIBPATH:T)" -L"$(STDLIBPATH:T)" "$(>)" "$(NEEDLIBS)" "$(NEEDLIBS)" "$(IMPLIB_FLAGS)$(NEEDIMPS)" -l$(FINDLIBS) $(LNOPT)$(RPATH_LINK). $(LNOPT)$(SONAME)$(<[1]:D=)$(SOTAG)
+    $(.GXX[1]:R=$(GCC_BIN_DIR)) $(.GXX[2-]) $(IMPLIB_COMMAND)$(<[2]) $(LINKFLAGS) -o "$(<[1])$(OUTTAG)" -install_name "$(<[1]:D=$(gLIB_INSTALL_DIR))" -compatibility_version $(DLLVERSION) -current_version $(DLLVERSION) -L"$(LIBPATH:T)" -L"$(STDLIBPATH:T)" "$(>)" "$(NEEDLIBS)" "$(NEEDLIBS)" "$(IMPLIB_FLAGS)$(NEEDIMPS)" -l$(FINDLIBS) $(LNOPT)$(RPATH_LINK). $(LNOPT)$(SONAME)$(<[1]:D=)$(SOTAG)
     $(ACTION_1)$(LN)$(_)-fs$(_)"$(<[1]:D=)$(OUTTAG)"$(_)"$(<[1])"
 }
 
@@ -459,7 +456,7 @@
 actions gcc-C++-action
 {
     $(.SET_EXIT)
-    $(.GXX[1]:R=$(GCC_BIN_DIR)) $(.GXX[2-]) -c -Wall -ftemplate-depth-100 -U$(UNDEFS) -D$(DEFINES) $(CFLAGS) $(C++FLAGS) -I"$(HDRS)" -I$(_)"$(STDHDRS)" -o "$(<)" "$(>:T)"
+    $(.GXX[1]:R=$(GCC_BIN_DIR)) $(.GXX[2-]) -c -Wall -fabi-version=1 -ftemplate-depth-100 -U$(UNDEFS) -D$(DEFINES) $(CFLAGS) $(C++FLAGS) -I"$(HDRS)" -I$(_)"$(STDHDRS)" -o "$(<)" "$(>:T)"
     $(.OBJCOPY[1])$(_)$(OBJCOPY_FLAGS)$(_)"$(<)"
 }
 
diff -urN boost_1_31_0.orig/tools/build/v1/python.jam boost_1_31_0/tools/build/v1/python.jam
--- boost_1_31_0.orig/tools/build/v1/python.jam	Wed Jan 28 17:52:25 2004
+++ boost_1_31_0/tools/build/v1/python.jam	Sun Apr 10 23:13:39 2005
@@ -62,10 +62,10 @@
     CYGWIN_PYTHON_DEBUG_DLL_PATH ?= $(CYGWIN_PYTHON_DEBUG_ROOT)/bin ;
     CYGWIN_PYTHON_DEBUG_LIB_PATH ?= $(CYGWIN_PYTHON_DEBUG_ROOT)/lib/python$(CYGWIN_PYTHON_DEBUG_VERSION)/config ;
 }
-else if $(UNIX) && $(OS) = MACOSX
-{
-    PYTHON_EMBEDDED_LIBRARY = ;
-}
+#else if $(UNIX) && $(OS) = MACOSX
+#{
+#    PYTHON_EMBEDDED_LIBRARY = ;
+#}
 else
 {
     PYTHON_EMBEDDED_LIBRARY = python$(PYTHON_VERSION) dl util ;
@@ -88,32 +88,32 @@
     PYTHON_IMPORT_LIB ?= [ GLOB $(PYTHON_LIB_PATH) : libpython$(PYTHON_VERSION_NODOT).* ] ;
     PYTHON_DEBUG_IMPORT_LIB ?= [ GLOB $(PYTHON_LIB_PATH) : libpython$(PYTHON_VERSION_NODOT).* ] ;
 }
-else if $(UNIX) && $(OS) = MACOSX
-{
-    if ! $(PYTHON_ROOT)
-    {
-        if [ GLOB /System/Library/Frameworks : Python.framework ]
-        {
-            PYTHON_ROOT ?= /System/Library/Frameworks/Python.framework/Versions/$(PYTHON_VERSION) ;
-        }
-        else
-        {
-            PYTHON_ROOT ?= /Library/Frameworks/Python.framework/Versions/$(PYTHON_VERSION) ;
-        }
-    }
-    PYTHON_ROOT = $(PYTHON_ROOT:J=" ") ;
-    PYTHON_INCLUDES ?= $(PYTHON_ROOT)/include/python$(PYTHON_VERSION) ;
-    PYTHON_FRAMEWORK ?= $(PYTHON_ROOT) ;
-    while $(PYTHON_FRAMEWORK:D=) != Python.framework
-    {
-        PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D) ;
-    }
-    PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D)/Python ;
-
-    PYTHON_PROPERTIES ?=
-      <sysinclude>$(PYTHON_INCLUDES)
-      ;
-}
+#else if $(UNIX) && $(OS) = MACOSX
+#{
+#    if ! $(PYTHON_ROOT)
+#    {
+#        if [ GLOB /System/Library/Frameworks : Python.framework ]
+#        {
+#            PYTHON_ROOT ?= /System/Library/Frameworks/Python.framework/Versions/$(PYTHON_VERSION) ;
+#        }
+#        else
+#        {
+#            PYTHON_ROOT ?= /Library/Frameworks/Python.framework/Versions/$(PYTHON_VERSION) ;
+#        }
+#    }
+#    PYTHON_ROOT = $(PYTHON_ROOT:J=" ") ;
+#    PYTHON_INCLUDES ?= $(PYTHON_ROOT)/include/python$(PYTHON_VERSION) ;
+#    PYTHON_FRAMEWORK ?= $(PYTHON_ROOT) ;
+#    while $(PYTHON_FRAMEWORK:D=) != Python.framework
+#    {
+#        PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D) ;
+#    }
+#    PYTHON_FRAMEWORK = $(PYTHON_FRAMEWORK:D)/Python ;
+#
+#    PYTHON_PROPERTIES ?=
+#      <sysinclude>$(PYTHON_INCLUDES)
+#      ;
+#}
 else if $(UNIX)
 {
     PYTHON_ROOT ?= /usr/local ;