diff -urN boost_1_32_0.orig/Jamfile boost_1_32_0/Jamfile
--- boost_1_32_0.orig/Jamfile	Thu Aug 12 02:13:36 2004
+++ boost_1_32_0/Jamfile	Wed Apr 13 21:13:46 2005
@@ -113,6 +113,7 @@
 # object code libraries
 local lib-locate = [ MATCH "^--libdir=(.*)" : $(ARGV) ] ;
 lib-locate ?= $(exec-locate)/lib ;
+gLIB_INSTALL_DIR ?= $(lib-locate) ;
 
 # where to build
 local all-locate = [ MATCH "^--builddir=(.*)" : $(ARGV) ] ;
diff -urN boost_1_32_0.orig/boost/test/detail/wrap_stringstream.hpp boost_1_32_0/boost/test/detail/wrap_stringstream.hpp
--- boost_1_32_0.orig/boost/test/detail/wrap_stringstream.hpp	Sun Sep 19 05:22:12 2004
+++ boost_1_32_0/boost/test/detail/wrap_stringstream.hpp	Wed Apr 13 21:13:46 2005
@@ -117,7 +117,7 @@
 
 //____________________________________________________________________________//
 
-#if !defined(BOOST_NO_STD_LOCALE) && BOOST_WORKAROUND(BOOST_MSVC, >= 1310)
+#if !defined(BOOST_NO_STD_LOCALE) && ( !defined(BOOST_MSVC) || BOOST_WORKAROUND(BOOST_MSVC, >= 1310))
 
 template <typename CharT>
 inline basic_wrap_stringstream<CharT>&
diff -urN boost_1_32_0.orig/libs/python/build/Jamfile boost_1_32_0/libs/python/build/Jamfile
--- boost_1_32_0.orig/libs/python/build/Jamfile	Mon Jul 26 11:33:26 2004
+++ boost_1_32_0/libs/python/build/Jamfile	Wed Apr 13 21:13:46 2005
@@ -63,6 +63,7 @@
       $(bpl-linkflags)
         <msvc-stlport><release>$(msvc-stlport-workarounds)
         <darwin><*><linkflags>-bind_at_load
+	<gcc><*><linkflags>"-undefined dynamic_lookup -flat_namespace"
       ;
 
   template extension
diff -urN boost_1_32_0.orig/libs/test/build/Jamfile boost_1_32_0/libs/test/build/Jamfile
--- boost_1_32_0.orig/libs/test/build/Jamfile	Tue Jul 20 06:51:08 2004
+++ boost_1_32_0/libs/test/build/Jamfile	Wed Apr 13 21:13:46 2005
@@ -56,13 +56,16 @@
 if ! $(NT)
 {
 dll boost_prg_exec_monitor    : <template>boost_test_lib
-                                ../src/$(PRG_EXEC_MON_SOURCES).cpp ;
+                                ../src/$(PRG_EXEC_MON_SOURCES).cpp 
+			: <gcc><*><linkflags>"-undefined dynamic_lookup" ;
 
 dll boost_test_exec_monitor   : <template>boost_test_lib
-                                ../src/$(TEST_EXEC_MON_SOURCES).cpp ; 
+                                ../src/$(TEST_EXEC_MON_SOURCES).cpp 
+			: <gcc><*><linkflags>"-undefined dynamic_lookup" ;
 
 dll boost_unit_test_framework : <template>boost_test_lib
-                                ../src/$(UTF_SOURCES).cpp ;
+                                ../src/$(UTF_SOURCES).cpp 
+			: <gcc><*><linkflags>"-undefined dynamic_lookup" ;
 }
 
 install test lib
diff -urN boost_1_32_0.orig/tools/build/v1/allyourbase.jam boost_1_32_0/tools/build/v1/allyourbase.jam
--- boost_1_32_0.orig/tools/build/v1/allyourbase.jam	Sun Nov  7 11:55:58 2004
+++ boost_1_32_0/tools/build/v1/allyourbase.jam	Wed Apr 13 21:13:46 2005
@@ -2108,7 +2108,7 @@
 actions HardLink
 {
     $(RM) "$(<)" 2$(NULL_OUT) $(NULL_OUT)
-    $(LN) "$(>)" "$(<)" $(NULL_OUT)
+    $(LN) -s $(>:D=) "$(<)" $(NULL_OUT)
 }
 
 actions Install
diff -urN boost_1_32_0.orig/tools/build/v1/boost-base.jam boost_1_32_0/tools/build/v1/boost-base.jam
--- boost_1_32_0.orig/tools/build/v1/boost-base.jam	Thu Oct 28 16:07:53 2004
+++ boost_1_32_0/tools/build/v1/boost-base.jam	Wed Apr 13 21:13:46 2005
@@ -2594,7 +2594,7 @@
     if <threading>multi in $(properties) { thread-tag = mt ; }
     
     local runtime-tag = ;
-    if <runtime-link>static in $(properties) { runtime-tag += s ; }
+    #if <runtime-link>static in $(properties) { runtime-tag += s ; }
     if <runtime-build>debug in $(properties) { runtime-tag += g ; }
     if [ MATCH .*(debug-python).* : $(variant) ] { runtime-tag += y ; }
     else { if [ MATCH .*(debug).* : $(variant) ] { runtime-tag += d ; } }
@@ -2651,8 +2651,8 @@
         version-tag = $(version-tag:J="_") ;
     }
     
-    tags += $(toolset-tag:J=) ;
-    tags += $(thread-tag:J=) ;
+    #tags += $(toolset-tag:J=) ;
+    #tags += $(thread-tag:J=) ;
     tags += $(runtime-tag:J=) ;
     tags += $(version-tag) ;
     
diff -urN boost_1_32_0.orig/tools/build/v1/gcc-tools.jam boost_1_32_0/tools/build/v1/gcc-tools.jam
--- boost_1_32_0.orig/tools/build/v1/gcc-tools.jam	Tue Oct 19 11:12:58 2004
+++ boost_1_32_0/tools/build/v1/gcc-tools.jam	Wed Apr 13 21:15:16 2005
@@ -120,8 +120,8 @@
         # MacOS X, doesn't need any threading options set
         # -lpthread is linked to by default.
         # There is no gcc/g++, we need to use cc/c++ instead:
-        .GCC ?= cc ;
-        .GXX ?= c++ ;
+        #.GCC ?= cc ;
+        #.GXX ?= c++ ;
         }
     case *BSD :
         {
@@ -342,7 +342,7 @@
 }
 else
 {
-    flags gcc LINKFLAGS <target-type>$(SHARED_TYPES) : -shared ;
+    flags gcc LINKFLAGS <target-type>$(SHARED_TYPES) : -dynamiclib ;
 }
 
 flags gcc LIBPATH <library-path> ;
@@ -445,7 +445,7 @@
     $(.SET_EXIT)
     $(SHELL_SET)$(gSHELL_LIBPATH)=$(LINK_LIBPATH)$(gAPPEND_LD_LIBRARY_PATH)
     $(SHELL_EXPORT)$(gSHELL_LIBPATH)
-    "$(.GXX[1]:R=$(GCC_BIN_DIR))" $(.GXX[2-]) "$(DLL_LINK_FLAGS)" "$(IMPLIB_COMMAND)$(<[2])" $(LINKFLAGS) -o "$(<[1])$(OUTTAG)" -L"$(LIBPATH:T)" -L"$(STDLIBPATH:T)" "$(>)" "$(NEEDLIBS)" "$(NEEDLIBS)" "$(IMPLIB_FLAGS)$(NEEDIMPS)" -l$(FINDLIBS) $(LNOPT)$(RPATH_LINK). $(LNOPT)$(SONAME)$(<[1]:D=)$(SOTAG)
+    "$(.GXX[1]:R=$(GCC_BIN_DIR))" $(.GXX[2-]) "$(DLL_LINK_FLAGS)" "$(IMPLIB_COMMAND)$(<[2])" $(LINKFLAGS) -o "$(<[1])$(OUTTAG)" -install_name "$(<[1]:D=$(gLIB_INSTALL_DIR))" -compatibility_version $(DLLVERSION) -current_version $(DLLVERSION) -L"$(LIBPATH:T)" -L"$(STDLIBPATH:T)" "$(>)" "$(NEEDLIBS)" "$(NEEDLIBS)" "$(IMPLIB_FLAGS)$(NEEDIMPS)" -l$(FINDLIBS) $(LNOPT)$(RPATH_LINK). $(LNOPT)$(SONAME)$(<[1]:D=)$(SOTAG)
     $(ACTION_1)$(LN)$(_)-fs$(_)"$(<[1]:D=)$(OUTTAG)"$(_)"$(<[1])"
 }
 
@@ -474,7 +474,7 @@
 actions gcc-C++-action
 {
     $(.SET_EXIT)
-    "$(.GXX[1]:R=$(GCC_BIN_DIR))" $(.GXX[2-]) -c -Wall -ftemplate-depth-255 -U$(UNDEFS) -D$(DEFINES) $(CFLAGS) $(C++FLAGS) -I"$(HDRS)" -I$(_)"$(STDHDRS)" -I$(_)"$(SYSHDRS)" -o "$(<)" "$(>)"
+    "$(.GXX[1]:R=$(GCC_BIN_DIR))" $(.GXX[2-]) -c -Wall -fabi-version=1 -Wno-long-double -ftemplate-depth-255 -U$(UNDEFS) -D$(DEFINES) $(CFLAGS) $(C++FLAGS) -I"$(HDRS)" -I$(_)"$(STDHDRS)" -I$(_)"$(SYSHDRS)" -o "$(<)" "$(>)"
     "$(.OBJCOPY[1])"$(_)$(OBJCOPY_FLAGS)$(_)"$(<)"
 }
 
diff -urN boost_1_32_0.orig/tools/build/v1/python.jam boost_1_32_0/tools/build/v1/python.jam
--- boost_1_32_0.orig/tools/build/v1/python.jam	Tue Oct 19 08:13:08 2004
+++ boost_1_32_0/tools/build/v1/python.jam	Wed Apr 13 21:13:46 2005
@@ -63,10 +63,10 @@
     CYGWIN_PYTHON_DEBUG_DLL_PATH ?= $(CYGWIN_PYTHON_DEBUG_ROOT)/bin ;
     CYGWIN_PYTHON_DEBUG_LIB_PATH ?= $(CYGWIN_PYTHON_DEBUG_ROOT)/lib/python$(CYGWIN_PYTHON_DEBUG_VERSION)/config ;
 }
-else if $(UNIX) && $(OS) = MACOSX
-{
-    PYTHON_EMBEDDED_LIBRARY = ;
-}
+#else if $(UNIX) && $(OS) = MACOSX
+#{
+#    PYTHON_EMBEDDED_LIBRARY = ;
+#}
 else
 {
     PYTHON_EMBEDDED_LIBRARY = python$(PYTHON_VERSION) dl util ;