diff -Nurd -x'*~' libxml2-2.7.8.orig/python/Makefile.in libxml2-2.7.8/python/Makefile.in
--- libxml2-2.7.8.orig/python/Makefile.in	2010-11-04 13:28:16.000000000 -0400
+++ libxml2-2.7.8/python/Makefile.in	2010-11-04 22:47:00.000000000 -0400
@@ -74,7 +74,7 @@
 am__installdirs = "$(DESTDIR)$(pythondir)" "$(DESTDIR)$(docsdir)" \
 	"$(DESTDIR)$(pythondir)" "$(DESTDIR)$(pythondir)"
 LTLIBRARIES = $(python_LTLIBRARIES)
-@WITH_PYTHON_TRUE@libxml2mod_la_DEPENDENCIES = $(mylibs)
+@WITH_PYTHON_TRUE@libxml2mod_la_DEPENDENCIES = 
 am__libxml2mod_la_SOURCES_DIST = $(srcdir)/libxml.c $(srcdir)/types.c
 @WITH_PYTHON_TRUE@am_libxml2mod_la_OBJECTS = libxml.lo types.lo
 @WITH_PYTHON_TRUE@nodist_libxml2mod_la_OBJECTS = libxml2-py.lo
@@ -84,7 +84,7 @@
 	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 	$(libxml2mod_la_LDFLAGS) $(LDFLAGS) -o $@
 @WITH_PYTHON_TRUE@am_libxml2mod_la_rpath = -rpath $(pythondir)
-DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
+DEFAULT_INCLUDES = -I.@am__isrc@
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
 am__mv = mv -f
@@ -370,8 +370,6 @@
 SUBDIRS = . tests
 INCLUDES = \
 	-I$(PYTHON_INCLUDES) \
-	-I$(top_srcdir)/include	\
-	-I$(top_builddir)/include \
 	-I$(top_builddir)/$(subdir)
 
 docsdir = $(datadir)/doc/libxml2-python-$(LIBXML_VERSION)
@@ -387,7 +385,7 @@
 
 libxml2mod_la_LDFLAGS = @CYGWIN_EXTRA_LDFLAGS@ @WIN32_EXTRA_LDFLAGS@ -module -avoid-version 
 @WITH_PYTHON_TRUE@mylibs = \
-@WITH_PYTHON_TRUE@	$(top_builddir)/libxml2.la
+@WITH_PYTHON_TRUE@	-lxml2
 
 @WITH_PYTHON_TRUE@python_LTLIBRARIES = libxml2mod.la
 @WITH_PYTHON_TRUE@libxml2mod_la_SOURCES = $(srcdir)/libxml.c $(srcdir)/types.c
diff -Nurd -x'*~' libxml2-2.7.8.orig/python/setup.py libxml2-2.7.8/python/setup.py
--- libxml2-2.7.8.orig/python/setup.py	2010-11-04 13:28:24.000000000 -0400
+++ libxml2-2.7.8/python/setup.py	2010-11-04 22:47:00.000000000 -0400
@@ -231,7 +231,7 @@
        author = "Daniel Veillard",
        author_email = "veillard@redhat.com",
        url = "http://xmlsoft.org/python.html",
-       licence="MIT Licence",
+       license="MIT Licence",
        py_modules=modules,
        ext_modules=extens,
        ext_package=ext_package,
diff -Nurd -x'*~' libxml2-2.7.8.orig/python/tests/Makefile.in libxml2-2.7.8/python/tests/Makefile.in
--- libxml2-2.7.8.orig/python/tests/Makefile.in	2010-11-04 13:28:16.000000000 -0400
+++ libxml2-2.7.8/python/tests/Makefile.in	2010-11-04 22:47:00.000000000 -0400
@@ -561,14 +561,21 @@
 
 @WITH_PYTHON_TRUE@tests: $(PYTESTS)
 @WITH_PYTHON_TRUE@	@echo "## running Python regression tests"
+@WITH_PYTHON_TRUE@	-@rm -f test.out
 @WITH_PYTHON_TRUE@	-@(PYTHONPATH="..:../.libs:$(srcdir)/..:$$PYTHONPATH" ; \
 @WITH_PYTHON_TRUE@	   export PYTHONPATH; \
-@WITH_PYTHON_TRUE@	   LD_LIBRARY_PATH="$(top_builddir)/.libs:$$LD_LIBRARY_PATH" ; \
-@WITH_PYTHON_TRUE@	   export LD_LIBRARY_PATH; \
 @WITH_PYTHON_TRUE@	   for test in $(PYTESTS) ; \
-@WITH_PYTHON_TRUE@	   do log=`$(PYTHON) $(srcdir)/$$test` ; \
+@WITH_PYTHON_TRUE@	   do log=`$(PYTHON) $(srcdir)/$$test 2>&1` ; \
 @WITH_PYTHON_TRUE@	   if [ "`echo $$log | grep OK`" = "" ] ; then \
-@WITH_PYTHON_TRUE@	   echo "-- $$test" ; echo "$$log" ; fi ; done)
+@WITH_PYTHON_TRUE@	      	 echo "-- FAILED $$test" ; \
+@WITH_PYTHON_TRUE@	   	 echo "$$log" ; \
+@WITH_PYTHON_TRUE@		 echo "  $$test" >> test.out ; \
+@WITH_PYTHON_TRUE@	      else \
+@WITH_PYTHON_TRUE@	      	 echo "-- OK $$test" ; \
+@WITH_PYTHON_TRUE@	      fi ; \
+@WITH_PYTHON_TRUE@	   done; \
+@WITH_PYTHON_TRUE@	   )
+@WITH_PYTHON_TRUE@	   @[ ! -s test.out ]
 @WITH_PYTHON_FALSE@tests:
 
 clean:
diff -Nurd -x'*~' libxml2-2.7.8.orig/python/tests/serialize.py libxml2-2.7.8/python/tests/serialize.py
--- libxml2-2.7.8.orig/python/tests/serialize.py	2009-09-24 11:31:59.000000000 -0400
+++ libxml2-2.7.8/python/tests/serialize.py	2011-01-04 02:52:56.000000000 -0500
@@ -96,7 +96,7 @@
 if str != """<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/REC-html40/loose.dtd">
 <html>
 <head>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
 <title>Hello</title>
 </head>
 <body><p>hello</p></body>
@@ -111,7 +111,7 @@
 doc.htmlSetMetaEncoding(None)
 root = doc.getRootElement()
 str = root.serialize()
-if str != """<html><head><title>Hello</title></head><body><p>hello</p></body></html>""":
+if str != """<html><head><meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1"><title>Hello</title></head><body><p>hello</p></body></html>""":
    print "error serializing HTML root 1"
    sys.exit(1)
 str = root.serialize("ISO-8859-1")
@@ -131,7 +131,7 @@
 str = root.serialize("iso-8859-1", 1)
 if str != """<html>
 <head>
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
+<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
 <title>Hello</title>
 </head>
 <body><p>hello</p></body>