diff -Nurd -x'*~' poppler-0.10.7.orig/configure poppler-0.10.7/configure
--- poppler-0.10.7.orig/configure	2009-05-16 11:40:49.000000000 -0400
+++ poppler-0.10.7/configure	2009-06-26 03:31:15.000000000 -0400
@@ -23889,7 +23889,7 @@
 
 qt_test_include="qstyle.h"
 qt_test_la_library="libqt-mt.la"
-qt_test_library="libqt-mt.so"
+qt_test_library="libqt-mt.dylib"
 
 { $as_echo "$as_me:$LINENO: checking for Qt headers" >&5
 $as_echo_n "checking for Qt headers... " >&6; }
@@ -24090,7 +24090,7 @@
 
 qt_test_include="qstyle.h"
 qt_test_la_library="libqt-mt.la"
-qt_test_library="libqt-mt.so"
+qt_test_library="libqt-mt.dylib"
 
 { $as_echo "$as_me:$LINENO: checking for Qt headers" >&5
 $as_echo_n "checking for Qt headers... " >&6; }
diff -Nurd -x'*~' poppler-0.10.7.orig/glib/Makefile.in poppler-0.10.7/glib/Makefile.in
--- poppler-0.10.7.orig/glib/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/glib/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -65,7 +65,7 @@
 @BUILD_CAIRO_OUTPUT_TRUE@am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler-cairo.la \
 @BUILD_CAIRO_OUTPUT_TRUE@	$(am__DEPENDENCIES_1)
 libpoppler_glib_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
 am__objects_1 = poppler-enums.lo
@@ -82,7 +82,6 @@
 @BUILD_WITH_GDK_TRUE@	test-poppler-glib.$(OBJEXT)
 test_poppler_glib_OBJECTS = $(am_test_poppler_glib_OBJECTS)
 @BUILD_WITH_GDK_TRUE@test_poppler_glib_DEPENDENCIES =  \
-@BUILD_WITH_GDK_TRUE@	$(top_builddir)/poppler/libpoppler.la \
 @BUILD_WITH_GDK_TRUE@	libpoppler-glib.la $(am__DEPENDENCIES_1) \
 @BUILD_WITH_GDK_TRUE@	$(am__DEPENDENCIES_1) \
 @BUILD_WITH_GDK_TRUE@	$(am__DEPENDENCIES_1) \
@@ -303,11 +302,11 @@
 	-DG_LOG_DOMAIN=\"Poppler\"		\
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/poppler			\
+	$(FREETYPE_CFLAGS)			\
+	$(FONTCONFIG_CFLAGS)                    \
 	$(cairo_includes)			\
 	$(POPPLER_GLIB_CFLAGS)			\
 	$(GDK_CFLAGS)				\
-	$(FREETYPE_CFLAGS)			\
-	$(FONTCONFIG_CFLAGS)                    \
 	$(cairo_includes)			
 
 stamp_files = stamp-poppler-enums.h
@@ -339,11 +338,11 @@
 	poppler-private.h
 
 libpoppler_glib_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la		\
-	$(POPPLER_GLIB_LIBS)				\
-	$(GDK_LIBS)					\
+	-lpoppler \
 	$(FREETYPE_LIBS)				\
 	$(FONTCONFIG_LIBS)				\
+	$(POPPLER_GLIB_LIBS)				\
+	$(GDK_LIBS)					\
 	$(cairo_libs)
 
 libpoppler_glib_la_LDFLAGS = -version-info 4:0:0 @create_shared_lib@
@@ -351,11 +350,11 @@
 @BUILD_WITH_GDK_TRUE@       test-poppler-glib.cc
 
 @BUILD_WITH_GDK_TRUE@test_poppler_glib_LDADD = \
-@BUILD_WITH_GDK_TRUE@	$(top_builddir)/poppler/libpoppler.la	\
+@BUILD_WITH_GDK_TRUE@	-lpoppler \
 @BUILD_WITH_GDK_TRUE@	libpoppler-glib.la			\
+@BUILD_WITH_GDK_TRUE@	$(FREETYPE_LIBS)			\
 @BUILD_WITH_GDK_TRUE@	$(POPPLER_GLIB_LIBS)			\
 @BUILD_WITH_GDK_TRUE@	$(GDK_LIBS)				\
-@BUILD_WITH_GDK_TRUE@	$(FREETYPE_LIBS)			\
 @BUILD_WITH_GDK_TRUE@	$(cairo_libs)
 
 BUILT_SOURCES = \
diff -Nurd -x'*~' poppler-0.10.7.orig/glib/demo/Makefile.in poppler-0.10.7/glib/demo/Makefile.in
--- poppler-0.10.7.orig/glib/demo/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/glib/demo/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -59,7 +59,7 @@
 am__DEPENDENCIES_1 =
 poppler_glib_demo_DEPENDENCIES =  \
 	$(top_builddir)/glib/libpoppler-glib.la \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1)
+	$(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) -I$(top_builddir)/poppler
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -285,7 +285,7 @@
 
 LDADD = \
 	$(top_builddir)/glib/libpoppler-glib.la	\
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler \
 	$(GTK_TEST_LIBS)
 
 all: all-am
diff -Nurd -x'*~' poppler-0.10.7.orig/glib/reference/Makefile.in poppler-0.10.7/glib/reference/Makefile.in
--- poppler-0.10.7.orig/glib/reference/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/glib/reference/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -290,15 +290,15 @@
 # e.g. INCLUDES=-I$(top_srcdir) -I$(top_builddir) $(GTK_DEBUG_FLAGS)
 # e.g. GTKDOC_LIBS=$(top_builddir)/gtk/$(gtktargetlib)
 INCLUDES = -I$(top_srcdir)/glib -I$(top_builddir)/glib	\
+	$(FREETYPE_CFLAGS) \
 	$(CAIRO_CFLAGS)					\
 	$(POPPLER_GLIB_CFLAGS)				\
-	$(GDK_CFLAGS)					\
-	$(FREETYPE_CFLAGS)
+	$(GDK_CFLAGS)					
 
-GTKDOC_LIBS = $(top_builddir)/poppler/libpoppler.la	\
+GTKDOC_LIBS = -lpoppler \
 	$(top_builddir)/glib/libpoppler-glib.la		\
-	$(POPPLER_GLIB_LIBS)				\
 	$(FREETYPE_LIBS)				\
+	$(POPPLER_GLIB_LIBS)				\
 	$(cairo_libs)
 
 @GTK_DOC_USE_LIBTOOL_FALSE@GTKDOC_CC = $(CC) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
diff -Nurd -x'*~' poppler-0.10.7.orig/poppler/Makefile.in poppler-0.10.7/poppler/Makefile.in
--- poppler-0.10.7.orig/poppler/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/poppler/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -409,12 +409,12 @@
 INCLUDES = \
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/goo			\
+	$(FREETYPE_CFLAGS)			\
+	$(FONTCONFIG_CFLAGS) \
 	$(splash_includes)			\
 	$(cairo_includes)			\
 	$(arthur_includes)			\
-	$(abiword_includes)			\
-	$(FREETYPE_CFLAGS)			\
-	$(FONTCONFIG_CFLAGS)
+	$(abiword_includes)			
 
 lib_LTLIBRARIES = libpoppler.la
 noinst_LTLIBRARIES = $(poppler_cairo)		\
@@ -423,13 +423,13 @@
 libpoppler_la_LIBADD = \
 	$(top_builddir)/goo/libgoo.la		\
 	$(top_builddir)/fofi/libfofi.la		\
+	$(FREETYPE_LIBS)			\
+	$(FONTCONFIG_LIBS)			\
 	$(splash_libs)				\
 	$(libjpeg_libs)				\
 	$(zlib_libs)				\
 	$(libjpeg2000_libs)			\
 	$(abiword_libs)				\
-	$(FREETYPE_LIBS)			\
-	$(FONTCONFIG_LIBS)			\
 	$(PTHREAD_LIBS)				\
 	$(win32_libs)
 
diff -Nurd -x'*~' poppler-0.10.7.orig/poppler-cairo.pc.cmake poppler-0.10.7/poppler-cairo.pc.cmake
--- poppler-0.10.7.orig/poppler-cairo.pc.cmake	2009-05-02 08:14:56.000000000 -0400
+++ poppler-0.10.7/poppler-cairo.pc.cmake	2011-01-05 16:55:56.000000000 -0500
@@ -6,4 +6,4 @@
 Name: poppler-cairo
 Description: Cairo backend for Poppler PDF rendering library
 Version: @POPPLER_VERSION@
-Requires: poppler = @POPPLER_VERSION@ cairo >= @CAIRO_VERSION@
+Requires: poppler = @POPPLER_VERSION@
diff -Nurd -x'*~' poppler-0.10.7.orig/poppler-cairo.pc.in poppler-0.10.7/poppler-cairo.pc.in
--- poppler-0.10.7.orig/poppler-cairo.pc.in	2009-05-02 08:14:56.000000000 -0400
+++ poppler-0.10.7/poppler-cairo.pc.in	2011-01-05 16:56:11.000000000 -0500
@@ -6,4 +6,4 @@
 Name: poppler-cairo
 Description: Cairo backend for Poppler PDF rendering library
 Version: @VERSION@
-Requires: poppler = @VERSION@ cairo >= @CAIRO_VERSION@
+Requires: poppler = @VERSION@
diff -Nurd -x'*~' poppler-0.10.7.orig/qt/Makefile.in poppler-0.10.7/qt/Makefile.in
--- poppler-0.10.7.orig/qt/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/qt/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -62,7 +62,7 @@
 libLTLIBRARIES_INSTALL = $(INSTALL)
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
-libpoppler_qt_la_DEPENDENCIES = $(top_builddir)/poppler/libpoppler.la \
+libpoppler_qt_la_DEPENDENCIES = \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1)
 am_libpoppler_qt_la_OBJECTS = poppler-document.lo poppler-fontinfo.lo \
@@ -74,7 +74,7 @@
 PROGRAMS = $(noinst_PROGRAMS)
 am_test_poppler_qt_OBJECTS = test-poppler-qt.$(OBJEXT)
 test_poppler_qt_OBJECTS = $(am_test_poppler_qt_OBJECTS)
-test_poppler_qt_DEPENDENCIES = $(top_builddir)/poppler/libpoppler.la \
+test_poppler_qt_DEPENDENCIES = \
 	libpoppler-qt.la $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir) -I$(top_builddir)/poppler
 depcomp = $(SHELL) $(top_srcdir)/depcomp
@@ -272,10 +272,10 @@
 INCLUDES = \
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/poppler			\
-	$(cairo_includes)			\
-	$(POPPLER_QT_CXXFLAGS)			\
 	$(FREETYPE_CFLAGS)			\
-	$(FONTCONFIG_CFLAGS)
+	$(FONTCONFIG_CFLAGS) \
+	$(cairo_includes)			\
+	$(POPPLER_QT_CXXFLAGS)			
 
 poppler_includedir = $(includedir)/poppler/qt3
 poppler_include_HEADERS = \
@@ -294,20 +294,20 @@
 	poppler-private.h
 
 libpoppler_qt_la_LIBADD = \
-	$(top_builddir)/poppler/libpoppler.la	\
-	$(POPPLER_QT_LIBS)			\
+	-lpoppler \
 	$(FREETYPE_LIBS)			\
-	$(FONTCONFIG_LIBS)
+	$(FONTCONFIG_LIBS) \
+	$(POPPLER_QT_LIBS)			
 
 libpoppler_qt_la_LDFLAGS = -version-info 2:0:0
 test_poppler_qt_SOURCES = \
        test-poppler-qt.cpp
 
 test_poppler_qt_LDADD = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler \
 	libpoppler-qt.la			\
-	$(POPPLER_QT_LIBS)			\
-	$(FREETYPE_LIBS)
+	$(FREETYPE_LIBS) \
+	$(POPPLER_QT_LIBS)			
 
 all: all-am
 
diff -Nurd -x'*~' poppler-0.10.7.orig/qt4/demos/Makefile.in poppler-0.10.7/qt4/demos/Makefile.in
--- poppler-0.10.7.orig/qt4/demos/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/qt4/demos/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -57,7 +57,7 @@
 	toc.$(OBJEXT) viewer.$(OBJEXT)
 poppler_qt4viewer_OBJECTS = $(am_poppler_qt4viewer_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 = \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 poppler_qt4viewer_DEPENDENCIES = $(am__DEPENDENCIES_2)
@@ -261,7 +261,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(FONTCONFIG_LIBS)				\
 	$(POPPLER_QT4_LIBS)
diff -Nurd -x'*~' poppler-0.10.7.orig/qt4/src/Makefile.in poppler-0.10.7/qt4/src/Makefile.in
--- poppler-0.10.7.orig/qt4/src/Makefile.in	2009-05-16 11:40:50.000000000 -0400
+++ poppler-0.10.7/qt4/src/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -64,7 +64,7 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 libpoppler_qt4_la_DEPENDENCIES =  \
-	$(top_builddir)/poppler/libpoppler.la $(am__DEPENDENCIES_1) \
+	$(am__DEPENDENCIES_1) \
 	$(am__DEPENDENCIES_1) $(am__append_1)
 am_libpoppler_qt4_la_OBJECTS = poppler-document.lo poppler-page.lo \
 	poppler-fontinfo.lo poppler-embeddedfile.lo poppler-textbox.lo \
@@ -320,7 +320,7 @@
 	poppler-export.h			\
 	poppler-private.h
 
-libpoppler_qt4_la_LIBADD = $(top_builddir)/poppler/libpoppler.la \
+libpoppler_qt4_la_LIBADD = -lpoppler \
 	$(FONTCONFIG_LIBS) $(POPPLER_QT4_LIBS) $(am__append_1)
 libpoppler_qt4_la_LDFLAGS = -version-info 4:0:1
 all: all-am
diff -Nurd -x'*~' poppler-0.10.7.orig/qt4/tests/Makefile.in poppler-0.10.7/qt4/tests/Makefile.in
--- poppler-0.10.7.orig/qt4/tests/Makefile.in	2009-05-16 11:40:51.000000000 -0400
+++ poppler-0.10.7/qt4/tests/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -80,7 +80,7 @@
 @BUILD_POPPLER_QT4_TRUE@	check_actualtext.$(OBJEXT)
 check_actualtext_OBJECTS = $(am_check_actualtext_OBJECTS)
 am__DEPENDENCIES_1 =
-am__DEPENDENCIES_2 = $(top_builddir)/poppler/libpoppler.la \
+am__DEPENDENCIES_2 = \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la \
 	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
 @BUILD_POPPLER_QT4_TRUE@check_actualtext_DEPENDENCIES =  \
@@ -386,7 +386,7 @@
 	$(POPPLER_QT4_CFLAGS)
 
 LDADDS = \
-	$(top_builddir)/poppler/libpoppler.la	\
+	-lpoppler \
 	$(top_builddir)/qt4/src/libpoppler-qt4.la	\
 	$(FONTCONFIG_LIBS)				\
 	$(POPPLER_QT4_LIBS)
diff -Nurd -x'*~' poppler-0.10.7.orig/test/Makefile.in poppler-0.10.7/test/Makefile.in
--- poppler-0.10.7.orig/test/Makefile.in	2009-05-16 11:40:51.000000000 -0400
+++ poppler-0.10.7/test/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -279,8 +279,8 @@
 @BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	pdf_inspector
 
 @BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@cairo_includes = \
-@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(CAIRO_CFLAGS)				\
-@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(FREETYPE_CFLAGS)
+@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(FREETYPE_CFLAGS) \
+@BUILD_CAIRO_OUTPUT_TRUE@@BUILD_GTK_TEST_TRUE@	$(CAIRO_CFLAGS)				
 
 @BUILD_SPLASH_OUTPUT_TRUE@perf_test = \
 @BUILD_SPLASH_OUTPUT_TRUE@	perf-test
@@ -293,9 +293,9 @@
 	-I$(top_srcdir)/poppler			\
 	-I$(top_srcdir)/glib			\
 	-I$(top_builddir)/glib			\
+	$(FONTCONFIG_CFLAGS) \
 	$(cairo_includes)			\
-	$(GTK_TEST_CFLAGS)			\
-	$(FONTCONFIG_CFLAGS)
+	$(GTK_TEST_CFLAGS)			
 
 gtk_splash_test_SOURCES = \
        gtk-splash-test.cc
@@ -310,9 +310,9 @@
 gtk_cairo_test_LDADD = \
 	$(top_builddir)/poppler/libpoppler.la		\
 	$(top_builddir)/glib/libpoppler-glib.la		\
+	$(FONTCONFIG_LIBS) \
 	$(CAIRO_LIBS)					\
-	$(GTK_TEST_LIBS)				\
-	$(FONTCONFIG_LIBS)
+	$(GTK_TEST_LIBS)				
 
 pdf_inspector_SOURCES = \
        pdf-inspector.cc
@@ -320,8 +320,8 @@
 pdf_inspector_LDADD = \
 	$(top_builddir)/poppler/libpoppler-cairo.la	\
 	$(top_builddir)/poppler/libpoppler.la		\
-	$(CAIRO_LIBS)					\
 	$(FREETYPE_LIBS)				\
+	$(CAIRO_LIBS)					\
 	$(GTK_TEST_LIBS)				\
 	$(X_EXTRA_LIBS)
 
diff -Nurd -x'*~' poppler-0.10.7.orig/utils/Makefile.in poppler-0.10.7/utils/Makefile.in
--- poppler-0.10.7.orig/utils/Makefile.in	2009-05-16 11:40:51.000000000 -0400
+++ poppler-0.10.7/utils/Makefile.in	2009-06-26 03:31:15.000000000 -0400
@@ -317,14 +317,14 @@
 	-I$(top_srcdir)				\
 	-I$(top_srcdir)/utils			\
 	-I$(top_srcdir)/poppler			\
-	$(UTILS_CFLAGS)				\
 	$(FONTCONFIG_CFLAGS)			\
+	$(UTILS_CFLAGS)				\
 	$(ABIWORD_CFLAGS)
 
 LDADD = \
 	$(top_builddir)/poppler/libpoppler.la	\
-	$(UTILS_LIBS)				\
-	$(FONTCONFIG_LIBS)
+	$(FONTCONFIG_LIBS) \
+	$(UTILS_LIBS)
 
 @BUILD_ABIWORD_OUTPUT_TRUE@pdftoabw_SOURCES = \
 @BUILD_ABIWORD_OUTPUT_TRUE@	pdftoabw.cc				\
diff -Nurd -x'*~' poppler-0.10.7.orig/xpdfrc.poppler4 poppler-0.10.7/xpdfrc.poppler4
--- poppler-0.10.7.orig/xpdfrc.poppler4	1969-12-31 19:00:00.000000000 -0500
+++ poppler-0.10.7/xpdfrc.poppler4	2009-06-26 03:31:15.000000000 -0400
@@ -0,0 +1,91 @@
+#========================================================================
+#
+# Sample xpdfrc file
+#
+# The Xpdf tools look for a config file in two places:
+# 1. ~/.xpdfrc
+# 2. in a system-wide directory, typically /usr/local/etc/xpdfrc
+#
+# This sample config file demonstrates some of the more common
+# configuration options.  Everything here is commented out.  You
+# should edit things (especially the file/directory paths, since
+# they'll likely be different on your system), and uncomment whichever
+# options you want to use.  For complete details on config file syntax
+# and available options, please see the xpdfrc(5) man page.
+#
+# Also, the Xpdf language support packages each include a set of
+# options to be added to the xpdfrc file.
+#
+# http://www.foolabs.com/xpdf/
+#
+#========================================================================
+
+#----- display fonts
+
+# These map the Base-14 fonts to the Type 1 fonts that ship with
+# ghostscript.  You'll almost certainly want to use something like
+# this, but you'll need to adjust this to point to wherever
+# ghostscript is installed on your system.  (But if the fonts are
+# installed in a "standard" location, xpdf will find them
+# automatically.)
+
+displayFontT1 Times-Roman              @PREFIX@/share/ghostscript/fonts/n021003l.pfb
+displayFontT1 Times-Italic             @PREFIX@/share/ghostscript/fonts/n021023l.pfb
+displayFontT1 Times-Bold               @PREFIX@/share/ghostscript/fonts/n021004l.pfb
+displayFontT1 Times-BoldItalic         @PREFIX@/share/ghostscript/fonts/n021024l.pfb
+displayFontT1 Helvetica                @PREFIX@/share/ghostscript/fonts/n019003l.pfb
+displayFontT1 Helvetica-Oblique        @PREFIX@/share/ghostscript/fonts/n019023l.pfb
+displayFontT1 Helvetica-Bold           @PREFIX@/share/ghostscript/fonts/n019004l.pfb
+displayFontT1 Helvetica-BoldOblique    @PREFIX@/share/ghostscript/fonts/n019024l.pfb
+displayFontT1 Courier                  @PREFIX@/share/ghostscript/fonts/n022003l.pfb
+displayFontT1 Courier-Oblique          @PREFIX@/share/ghostscript/fonts/n022023l.pfb
+displayFontT1 Courier-Bold             @PREFIX@/share/ghostscript/fonts/n022004l.pfb
+displayFontT1 Courier-BoldOblique      @PREFIX@/share/ghostscript/fonts/n022024l.pfb
+displayFontT1 Symbol                   @PREFIX@/share/ghostscript/fonts/s050000l.pfb
+displayFontT1 ZapfDingbats             @PREFIX@/share/ghostscript/fonts/d050000l.pfb
+
+# If you need to display PDF files that refer to non-embedded fonts,
+# you should add one or more fontDir options to point to the
+# directories containing the font files.  Xpdf will only look at .pfa,
+# .pfb, and .ttf files in those directories (other files will simply
+# be ignored).
+
+fontDir                /usr/local/fonts/bakoma
+
+#----- PostScript output control
+
+# Set the default PostScript file or command.
+
+psFile                 "|lpr -Pmyprinter"
+
+# Set the default PostScript paper size -- this can be letter, legal,
+# A4, or A3.  You can also specify a paper size as width and height
+# (in points).
+
+psPaperSize            letter
+
+#----- text output control
+
+# Choose a text encoding for copy-and-paste and for pdftotext output.
+# The Latin1, ASCII7, and UTF-8 encodings are built into Xpdf.  Other
+# encodings are available in the language support packages.
+
+textEncoding           UTF-8
+
+# Choose the end-of-line convention for multi-line copy-and-past and
+# for pdftotext output.  The available options are unix, mac, and dos.
+
+textEOL                unix
+
+#----- misc settings
+
+# Enable t1lib, FreeType, and anti-aliased text.
+
+enableT1lib            yes
+enableFreeType         yes
+antialias              yes
+
+# Set the command used to run a web browser when a URL hyperlink is
+# clicked.
+
+urlCommand     "open 'openURL(%s)'"